Update Webhook Custom Auth Function

Updates the custom auth parameters for the custom auth function.

When using the PUT call to manage webhook custom auth config, any existing values will be fully replaced with the new payload - be sure to include all necessary fields to avoid unintental data loss. To update the Custom Auth Credentials only, use the PATCH /webhook/v1/functions/auth/{functionId} endpoint.

This API added with the 25.2 release of Encompass.

Path Params
string
required
Body Params
string

Description of the custom auth policy.

string
enum

The function type. Supported value: auth.

Allowed:
string
enum

Supported values:

  • OAUTH2_CLIENT_CREDENTIAL
  • OAUTH2_CLIENT_CREDENTIAL_RFC7523
  • CUSTOM_HEADER_ONLY
Allowed:
customHeaders
object

Supports up to 10 headers with fixed values (comma separated) that need to be sent with every webhook notification.

Example:
customHeaders.x-api-key
customHeaders.client

tokenCustomHeaders
object

Supports up to 10 headers with fixed values (comma separated) that need to be sent in the token request.

Example:
customHeaders.x-api-key
customHeaders.client

Applicable only when the custom headers need to be passed as part of the token request.

string

Applies to: OAUTH2_CLIENT_CREDENTIAL_RFC7523 templateType only.

string

Applies to: OAUTH2_CLIENT_CREDENTIAL_RFC7523 templateType only.

Include only the leaf certificate, Intermediate and Root certs should not be attached.

uri

Custom auth token URL.

tokenParameters
object

This object is not applicable to templateType CUSTOM_HEADER_ONLY.

string

The UUID for the custom function. This attribute is retrieveOnly, included in the response payload.

Headers
string

Bearer token

Responses
200

OK

400

Bad Request

401

Unauthorized

403

Forbidden

404

Not Found

500

Internal Server Error

Language
URL